

 /* This program runs the regressions for Table 7 and 8 on self efficacy and the descriptive statistics for Table 2 Panel H, H1, H2 */
				
								/* THIS PROGRAM USES DATA FILE ltp3F */

/* use  "/Users/luigiguiso/Dropbox/Articoli/Long-term persistence/JEEA-REVISION/September-20-finalsub/DataPrograms/ltp3F" */ 

use  ltp3F  


label  var empowerment   		"Self-efficacy "
label  var opt_success   		"Self-efficacy: positive domain "
label  var opt_failure   		"Self-efficacy: negative domain "

label var totassoc_p 			"N. non profit organizations per capita"
label var sede_aido  			"Organ donation organization"
label var cheating_mat      	"Cheating in math"
label  var libero_comune_allnord "Commune"



label var altitudine   "Elevation"
label var escursione   "Max diff in elevation" 
label var costal          "City is on the coast" 
label var nearsea       "City 5 km from the coast" 
label var population     "Population (million)" 

 
label var gini_land  "Gini ineq: land ownership"  
label var gini_income  "Gini ineq: income"  

label var sud               "South "
label var regione           "Region "
label var dummyroma   " Dummy= 1 if Rome"  

 
 	/* TABLE 2: Panel H */
			
tabstat empowerment opt_success opt_failure  if regione!=20&dummyroma!=1, stats(mean median sd p1 p99 )  column(statistics)     
	
	/* TABLE 2: Panel H1 */
tabstat empowerment opt_success opt_failure  if  sud==0&regione!=20&dummyroma!=1, stats(mean median sd p1 p99 )  column(statistics)     

	/* TABLE 2: Panel H2 */
tabstat empowerment opt_success opt_failure  if  sud==1&regione!=20&dummyroma!=1, stats(mean median sd p1 p99 )  column(statistics)     
	

	
				/* TABLE 7: SELF EFFICACY  */
   
   /* Self efficacy: col 1: Table 7 */
   reg  empowerment libero_comune_allnord   altitudine escursione costal nearsea  population pop2  gini_land gini_income  if regione!=20&dummyroma==0  [weight=population],r    

   /* Self efficacy: col 2: Table 7 */
   reg empow sud  altitudine escursione costal nearsea population pop2  gini_land gini_income  if regione!=20 &dummyroma==0 [weight=population],r

   
   
				/* TABLE 8: SELF EFFICACY AND CIVC CAPITAL  */
   
   /* N. non profit ass: col 1, Table 8 */				
   reg totassoc_p empow    if regione!=20&dummyroma==0&sud==0 [weight=population],r
   /* N. non profit ass: col 2, Table 8 */			
   reg totassoc_p empow altitudine escursione costal nearsea population pop2  gini_land gini_income  if regione!=20&dummyroma==0&sud==0 [weight=population],r

   /* Organ donation org: col 3,  Table 8 */	
   reg sede_aido empow   if regione!=20&dummyroma==0&sud==0 [weight=population],r
   
   /* Organ donation org: col 4,  Table 8 */
   reg sede_aido empow altitudine escursione costal nearsea population pop2  gini_land gini_income  if regione!=20&dummyroma==0&sud==0 [weight=population],r

   /* Cheating math: col 5,  Table 8 */
   reg cheating_mat empow  if regione!=20&dummyroma==0&sud==0 [weight=population],r
   
   /* Cheating math: col 6,  Table 8 */
   reg cheating_mat empow altitudine escursione costal nearsea population pop2  gini_land gini_income  if regione!=20&dummyroma==0&sud==0 [weight=population],r
					
			
